require('dotenv').config();

const api = require('./api');
const matrixBot = require('./matrix-bot');
const contractListeners = require('./contract-listeners');

api.start();

if (process.env.ENABLE_MATRIX !== 'false') {
  matrixBot.start();
}

contractListeners.start();
